code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2011:1508
#
# Security announcement date: 2011-12-01 16:55:04 UTC
# Script generation date: 2017-01-01 21:13:33 UTC
#
# Operating System: Red Hat 6
# Architecture: i386
#
# Vulnerable packages fix on version:
# - cyrus-imapd.i686:2.3.16-6.el6_1.4
# - c... | Cyberwatch/cbw-security-fixes | Red_Hat_6/i386/2011/RHSA-2011:1508.sh | Shell | mit | 1,074 |
#! /bin/bash
scriptRunning=$(ps aux | grep -c script.py)
if [ "$scriptRunning" != "1" ] # 1 means only ps aux command, expecting 2 (ps aux plus python script.py)
then
echo "Already running"
else
echo "Script stopped. Rebooting"
cd /home/pi/ocp-parking-meter
nohup python /home/pi/ocp-parking-meter/script.... | OpenCityProject/ocp-parking-meter | script-rebooter-cron.sh | Shell | mit | 371 |
#!/bin/bash
# instructions adapted from http://www.perkin.org.uk/posts/create-virtualbox-vm-from-the-command-line.html
# set the profile name
VM='OSX-El-Capitan'
# set the location where the VM will be created
VM_DIR="${HOME}/VirtualBox VMs/$VM"
# create the VM directory
mkdir "$VM_DIR"
# create the install ISO
IS... | evanplaice/virtualbox-osx | virtualbox-osx.sh | Shell | mit | 1,637 |
#!/usr/bin/env bash
function deploy(){
git push origin master
bundle exec cap production deploy
}
function spec(){
bundle exec rspec spec/
}
function best(){
rails_best_practices -f html .
}
alias rc='bin/rails c'
alias rs='bin/rails s'
alias st='git st'
| raphy-bsu/shell-goodies | script/ruby.bash | Shell | mit | 268 |
# set aliases for php cli utils
alias composer='sudo -u apache /usr/bin/composer'
alias dep='sudo -u apache /usr/bin/dep'
alias phing='sudo -u apache /usr/bin/phing'
alias phpunit='sudo -u apache /usr/bin/phpunit'
alias behat='sudo -u apache /usr/bin/behat' | o-slash/docker-typo3-toolchain | phpenv.sh | Shell | mit | 257 |
bundle config set --local path 'vendor/bundle'
bundle install
| jackywu/jackywu.github.io | install.sh | Shell | mit | 62 |
#!/bin/bash
HOME_DIR=$1
if [ -f "$HOME_DIR/islandora/configs/variables" ]; then
. "$HOME_DIR"/islandora/configs/variables
fi
if [ ! -d "$DOWNLOAD_DIR" ]; then
mkdir -p "$DOWNLOAD_DIR"
fi
#######################################################################
# Work around for https://bugs.launchpad.net/cloud-im... | Islandora-CLAW/claw_vagrant | scripts/bootstrap.sh | Shell | mit | 3,238 |
#!/bin/sh
# Copyright (c) 2013-2016 The Bitcoin Core developers
# Copyright (c) 2018-2020 The Ion Core developers
# Distributed under the MIT software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
set -e
srcdir="$(dirname $0)"
cd "$srcdir"
if [ -z ${LIBTOOLIZE} ] &... | ionomy/ion | autogen.sh | Shell | mit | 577 |
#!/bin/bash
source vars.sh
function start_local_gdb {
$GDB -ex "target extended $GDB_IP:$GDB_PORT" \
-ex "file $PREFIX/$BIN_DIR/$PRODUCT"
}
function send_and_wait {
{
echo "$1"
while :
do
sleep 1
done
} | nc -v $NC_IP $NC_PORT
}
function send {
echo... | Rajesh-Sec-Project/simon | gdb.d/debug.sh | Shell | mit | 775 |
#!/bin/sh
# Prerequisites:
# - ember-cli
set -ev
# Create temp directory for new ember app.
ADDON_DIR="$PWD"
META_DIR="$PWD/vendor/flexberry/dummy-metadata"
TMP_DIR='/tmp/embertest'
mkdir -p "$TMP_DIR"
rm -rf "$TMP_DIR/*"
pushd "$TMP_DIR"
# Initialize new ember app and install addon from the build.
# EmberCLI ask... | akosinsky/test_ember | scripts/test-generator.sh | Shell | mit | 882 |
#!/usr/bin/env bash
sudo rm /usr/share/glib-2.0/schemas/org.example.my-app.gschema.xml
sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
| foreachsam/book-lang-vala | book/example/gio/gsettings/gsettigs-start/clean.sh | Shell | cc0-1.0 | 143 |
#!/bin/bash
# --- Day 14: Reindeer Olympics ---
#
# This year is the Reindeer Olympics! Reindeer can fly at high speeds, but must
# rest occasionally to recover their energy. Santa would like to know which of
# his reindeer is fastest, and so he has them race.
#
# Reindeer can only either be flying (always at their to... | fnadeau/adventofcode-2015 | 2015/14/day14.sh | Shell | cc0-1.0 | 4,268 |
#!/bin/sh
# This is just a short script to check the syntax of all scripts in shewstring.
# Arguments:
if
dirname "$0" \
| grep '^/' \
> /dev/null
then
directory="${1:-`dirname "$0"`/../..}"
else
directory="${1:-`pwd`/`dirname "$0"`/../..}"
fi
# Execute:
find "$directory" \
| while read line; do
i... | Shew/Shewstring | devel/scripts/script_check.sh | Shell | cc0-1.0 | 735 |
#!/bin/bash
if [ -z `which python` ]
then
err "python does not appear to be installed on this system."
err "Please install it with: sudo apt-get install python"
exit 2
fi
if [ `id -u` -ne 0 ]
then
echo "$0 needs to be executed as root"
exit 1
fi
function cleanup(){
cd ..
rm -rf... | fp7-netide/Tools | traffem/apps/http/HTTPserver.sh | Shell | epl-1.0 | 986 |
#!/bin/sh
cd "/home/oracle/config/domains/standalone_domain"
echo "/home/oracle/config/domains/standalone_domain/bin/stopManagedWebLogic.sh soa_server2"
bin/stopManagedWebLogic.sh soa_server2
| tommylsh/test20170719 | maxim-pos-parent/document/07 Deployment/software package/prod/server2/stopSoaServer.sh | Shell | epl-1.0 | 192 |
#!/bin/sh
#
# Copyright (c) 2011, 2014 Eurotech and/or its affiliates
#
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
... | mhddurrah/kura | kura/distrib/src/main/sh/create_installer.sh | Shell | epl-1.0 | 720 |
#!/bin/sh
# compile FreeDoko and run the runtime test party:
# * standard rules
# * limited rounds
# * profi players
# create program in release version
rm ./FreeDoko; make "CXXFLAGS=-Wall -Werror -Wno-parentheses -pipe -O0" "USE_UI_GTKMM=false" "FREEDOKO_WORKING_DIRECTORY=/tmp/${LOGNAME}/FreeDoko.runtime/src... | svenihoney/freedoko | src/autotest.runtime.sh | Shell | gpl-2.0 | 710 |
#!/bin/sh
# looks nice, but is slow
#exe=`dmenu_path | dmenu -b -i -fn '-*-*-medium-*-*-*-15-*-*-*-*-*-*-*' -nb \#3F3F3F -nf \#FAFAD2 -sb \#ffff00 -sf \#000000 ${1+"$@"}` && exec $exe
#has too many entries, like sed
dmenu -b -i -nb \#3F3F3F -nf \#FAFAD2 -sb \#ffff00 -sf \#000000
#exe=`dmenu_path | dmenu -b -i -nb ... | magnetophon/.dot | common/.config/i3/scripts/dmenu_run.zsh | Shell | gpl-2.0 | 875 |
#!/bin/bash
./lipa PDB_OUT.txt -o "test.pdb"
| MizzouCMMSGroup1/TFPyModeller | src/phipsi_crankite/_lipa.sh | Shell | gpl-2.0 | 48 |
#########################################################################
# #
# Copyright (c) 2013 Rob Dixon #
# #
# This program is free software; you can redistribute it and/or #
# modify it under the terms of the GNU General Public License as #
# published by the Free Software Foundation; eithe... | 304GEEK/Scrape-DNS | Timing-Scrape.sh | Shell | gpl-2.0 | 804 |
#!/bin/bash
#Bash disables history in noninteractive shells by default, but we turn it on here.
HISTFILE=~/.bash_history
set -o history
#current script native directory
SELF_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
PARENT_DIR=$( dirname "${SELF_DIR}" )
SEQUENCE_DIR=$( dirname "${PARENT_DIR}" )
if [ ! ... | pevma/SQARD-S | staging-area/tests/opensuse-tumbleweed/sequence/00-generic-asan/21-configure-add-pfring/01-pfring.sh | Shell | gpl-2.0 | 1,566 |
#!/bin/bash
# Este fichero está pensado para instalar todo lo necesario para poder
# utilizar la impresora DIMA BOX en la distribución Ubuntu MAX, de la
# Comunidad de Madrid.
# Se encontrará en el mismo directorio que las carpetas: "RepetierHost",
# "Slic3r" y "Configuraciones" al ser ejecutado.
# Instalará y con... | dima3dprinters/DIMABOX | Paquete software/instalarDimaBox.sh | Shell | gpl-2.0 | 7,303 |
#!/bin/sh
# $Id: dnsman_get.sh,v 1.1.2.2 2010-07-17 18:50:45 hutch Exp $
# $Name: $
# example cron script for tinydns
# where the data file should go
datadir="/etc/tinydns/root"
datafile="$datadir/data"
extrafile="$datafile.extra"
NEW="$datafile.new"
OLD="$datafile.old"
CUR=$datafile
updatelog="/var/log/tinydns.l... | bobhutch/dnsman | scripts/dnsman_get.sh | Shell | gpl-2.0 | 1,053 |
URL="http://www.cs.mcgill.ca/~pmoore6/welcome.html"
[[ -x $BROWSER ]] && exec "$BROWSER" "$URL"
path=$(which xdg-open || which gnome-open) && exec "$path" "$URL"
echo "Can't find browser..."
| parkr/COMP206-Practice | bash/browser.sh | Shell | gpl-2.0 | 191 |
#global environment for all render applications
echo we are logged in as:
id
#set USER and USERNAME if not set
if ( ! $?USERNAME ) then
echo USERNAME is not set
if ( ! $?USER ) then
echo USER is not set
setenv USER "`id -nu`"
setenv USERNAME "$USER"
else
setenv USERNAME "$USER"
endif
else
if... | michimussato/pypelyne2 | pypelyne2/payload/rr/7.0.29__installer/files/render_apps/_setenv/lx/_global.sh | Shell | gpl-2.0 | 698 |
#!/bin/bash
sysctl -w net.ipv4.ip_forward=0
| lradaelli85/iptables-firewall | disable_forwarding.sh | Shell | gpl-2.0 | 44 |
#!/bin/sh
for test in t/* ; do ./autoref $test ; done
| orchid-hybrid/AUTOREF | runtests.sh | Shell | gpl-2.0 | 54 |
#!/bin/bash
# Boeffla Kernel Universal Build Script
#
# Version 1.2, 02.03.2016
#
# (C) Lord Boeffla (aka andip71)
#######################################
# Parameters to be configured manually
#######################################
BOEFFLA_VERSION="Intoxicated-5.0"
EXTENDED_CMDLINE="androidboot.selinux=permissive... | RJDTWO/intoxicated-boeffla | bbuild.sh | Shell | gpl-2.0 | 21,837 |
#!/bin/bash
#Crosslink Copyright (C) 2016 NIAB EMR see included NOTICE file for details
#
# launch test runs to optimise hk imputation parameters
# run on cluster
#
set -eu
SCRIPT_DIR=${CROSSLINK_PATH}/test_scripts
export PATH=${PATH}:${SCRIPT_DIR}
#check working directory
if [ "$(pwd)" != '/home/vicker/crosslink/... | eastmallingresearch/crosslink | test_scripts/launch_tests_maxhop.sh | Shell | gpl-2.0 | 1,811 |
#!/bin/sh
. ./test-common.sh
cleanup 41
# ------------------------------- Test 41 ------------------------------------
# Test that prerotate and postrotate scripts are called only when the log files
# are actually rotated
preptest test.log 41 1
echo x > test2.log
$RLR test-config.41 || exit 23
checkoutput <<EOF
te... | logrotate/logrotate | test/test-0041.sh | Shell | gpl-2.0 | 396 |
#!/bin/sh
fname=contacts.csv
if [ $# -eq 1 ]; then
fname=$1
fi
flds=name,email,address,birthday,event,notes,organization,phone,relation,title,website,nickname
echo $flds > $fname
google -u timmy.whelan@gmail.com -n '.*' --fields="$flds" contacts list >> $fname
| timmyw/gctools | dlcontacts.sh | Shell | gpl-2.0 | 267 |
#!/bin/bash
SysName=""
SysCount=""
[[ $(id -u) != '0' ]] && echo '[Error] Please use root to run this script.' && exit;
egrep -i "centos" /etc/issue && SysName='centos';
egrep -i "debian" /etc/issue && SysName='debian';
egrep -i "ubuntu" /etc/issue && SysName='ubuntu';
[[ "$SysName" == '' ]] && echo '[Error] Your sys... | chmodawk/sn | main.sh | Shell | gpl-2.0 | 4,038 |
#!/bin/bash
# Author: Imran Ahmed <researcher6@live.com>
# Purpose : Monitors memory utilization by individual processes and terminates a process that exceeds the limit.
# Variables
#log_file="/var/log/Memory.log"
max_allowed_mem=460800
process_list=( "rbtserver1" "rbtserver2" "rbtserver3" )
echo -n `date`
echo " ... | rootguy1/code-base | bash/check_process_memory_usage.sh | Shell | gpl-2.0 | 935 |
#!/bin/bash
# 'make dist' stuff
# ensure we have the latest changelog
../maintainer/git2changelog.sh > cache/ChangeLog.txt
# ensure we have the help PDF
pushd ../help/
make get-icons
pushd C
dblatex viking.xml
popd
popd
wine ~/.wine/drive_c/windows/system32/cmd.exe /c installer.bat
| rpeyron/viking | win32/installer-wine.sh | Shell | gpl-2.0 | 286 |
#!/bin/bash
# Das script cron-server-health kommt nach /etc/cron.daily/
[ -f cron-server-health ] || cp cron-server-health /etc/cron.daily
[ -x /etc/cron.daily/cron-server-health ] || chmod a+x /etc/cron.daily/cron-server-health
# Das script server-health.sh kommt nach /usr/sbin/
[ -f check-health.sh ] || cp check... | rheikvaneyck/ServerHealth | script/install_scripts.sh | Shell | gpl-2.0 | 640 |
source $pkg_common
requires=\
(
'base/host'
'gcc/cross'
'eglibc/locales'
'gdb/cross'
)
| krisklau/glued | rules/base/cross.bash | Shell | gpl-2.0 | 104 |
#!/bin/bash
#
#This script will prepare the STL files in the required format for a PENTrack simulation.
#It will also remove any spaces from the names of the STL files if they exist.
# The script takes two optional arguments:
#
#
# @param argv1 the name of the STL files dir as an argument. If no argument given, it ... | wschreyer/PENTrack | genGeomList.sh | Shell | gpl-2.0 | 5,461 |
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2021 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###... | LSTS/glued | pktoolchain.bash | Shell | gpl-2.0 | 2,246 |
convert images/OCS-305-A.png -crop 1519x4532+35+295 +repage images/OCS-305-A.png
#
#
#/OCS-305.png
convert images/OCS-305-B.png -crop 1587x4530+0+291 +repage images/OCS-305-B.png
#
#
#/OCS-305.png
| jonnymwalker/Staroslavjanskij-Slovar | scripts/cropedges.OCS-305.sh | Shell | gpl-2.0 | 197 |
#!/bin/sh
NOTES=""
find_notes () {
NEW_PATCHES_PATH=$1
NOTES_PATH=$2
for p in `find ${NEW_PATCHES_PATH} -name \*.patch`; do
pn=`basename $p .patch`
for n in `find ${NOTES_PATH} -name \*.notes`; do
nn=`basename $n .patch.notes`
if [ "$pn" == "$nn" ]; then
NOTES="${NOTES} $n"
fi
done
... | dvhart/rt-notes | scripts/copy-notes.sh | Shell | gpl-2.0 | 1,113 |
convert images/OCS-365-A.png -crop 1505x4534+93+307 +repage images/OCS-365-A.png
#
#
#/OCS-365.png
convert images/OCS-365-B.png -crop 1563x4530+19+307 +repage images/OCS-365-B.png
#
#
#/OCS-365.png
| jonnymwalker/Staroslavjanskij-Slovar | scripts/cropedges.OCS-365.sh | Shell | gpl-2.0 | 198 |
#!/bin/sh
set -e
#### Load defaults.sh
function qpushd() { pushd "$@" >/dev/null; }
function qpopd() { popd >/dev/null; }
function unix_path() { echo "$*" | sed 's,^\([A-Za-z]\):,/\1,;s,\\,/,g'; }
qpushd "$(dirname $(unix_path "$0"))"
. functions.sh
. defaults.sh
## too bad, bash 2.04 has no real support for arra... | cstim/gnucash-svn | packaging/win32/reset.sh | Shell | gpl-2.0 | 3,210 |
#! /bin/bash
awk -v c=1 '! /^[@|#]/{if (c%14==0)print $1,$2;else{printf "%.4f %.4f ",$1,$2};c+=1 }' $1
| cdalgicdir/scripts | sketchmap/format.sh | Shell | gpl-2.0 | 104 |
#!/bin/sh
export DB_HOST=localhost
export DB_NAME=twentywp
export DB_USER=twenty
export DB_PASS=twenty
#export PGDATABASE=$DATABASE
#export PGHOST=$DB_HOST
#export PGUSER=$DB_USER
#export PGPASSWORD=$DB_PASS
alias domysql='mysql -h $DB_HOST -u $DB_USER -p${DB_PASS} $DB_NAME'
| comictvn/twenty_01 | scripts/set_evn.sh | Shell | gpl-2.0 | 280 |
#!/bin/bash -x
ASKNOT_LOCALE_DIR=${ASKNOT_LOCALE_DIR:-locale}
for locale in $(ls $ASKNOT_LOCALE_DIR/*.po); do
echo $locale;
locale=$(basename $locale)
locale=${locale%.po};
mkdir -p $ASKNOT_LOCALE_DIR/$locale/LC_MESSAGES/;
msgfmt -o $ASKNOT_LOCALE_DIR/$locale/LC_MESSAGES/asknot-ng.mo $ASKNOT_LOCAL... | sils1297/asknot-ng | compile-translations.sh | Shell | gpl-3.0 | 344 |
#!/bin/bash
PATHOUI=.
usage() {
echo "Usage: $0 [options]"
echo ""
echo "Options:"
echo " -u, --update Update OUI"
echo " -r, --randmac Changing mac address with random mac address"
echo " -h, --help Show basic help message and exit"
}
update_oui() {
echo "${txtbld}$(tput setaf 1)[-] Updating OU... | blackb1rd/randmac | randmac.sh | Shell | gpl-3.0 | 1,715 |
#!/bin/bash
# OpenRailwayMap Copyright (C) 2012 Alexander Matheisen
# This program comes with ABSOLUTELY NO WARRANTY.
# This is free software, and you are welcome to redistribute it under certain conditions.
# See http://wiki.openstreetmap.org/wiki/OpenRailwayMap for details.
# path to the project directory
PROJECTP... | HH882015/OpenRailwayMap | import/update.sh | Shell | gpl-3.0 | 2,524 |
export PATH="$PATH:$DOTFILES/bin"
| jfmercer/dotfiles | system/path.zsh | Shell | gpl-3.0 | 34 |
#!/bin/bash
MASTER_ADDR=$1
## CONDOR ##
service condor stop
cat >/etc/condor/condor_config.local <<EOF
CONDOR_HOST = $MASTER_ADDR
FULL_HOSTNAME = $(hostname -f)
UID_DOMAIN = $(hostname -d)
FILESYSTEM_DOMAIN = $(hostname -d)
TRUST_UID_DOMAIN = True
CONDOR_IDS = $(id -u condor).$(id -g condor)
DAEMON_LIST = MASTER... | rika/dynamic-provisioning | worker.sh | Shell | gpl-3.0 | 526 |
#!/bin/bash
# TWIN node - A Flexible Testbed for Wireless Sensor Networks
# Copyright (C) 2016, Communication Networks, University of Bremen, Germany
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foun... | ComNets-Bremen/TWIN | Scripts/incomingChecker.sh | Shell | gpl-3.0 | 1,553 |
#!/bin/sh
. "${TEST_SCRIPTS_DIR}/unit.sh"
last_control=151
control_output=$(
for i in $(seq 0 $last_control) ; do
echo -n "$i.. "
done
echo
)
last_command=5
command_output=$(
for i in $(seq 1 $last_command) ; do
echo -n "$i.. "
done
echo
)
output=$(
echo "ctdb_req_header"
echo "c... | freenas/samba | ctdb/tests/cunit/protocol_test_002.sh | Shell | gpl-3.0 | 1,059 |
#!/bin/bash
# Globale Variablen
SCRIPTNAME=$(basename $0 .sh)
EXIT_SUCCESS=0
EXIT_FAILURE=1
EXIT_ERROR=2
EXIT_BUG=10
#usage
#customize_info [name]_id
source ${0%/*}/config
id=`echo "$1" | awk -F'_' '//{print $NF}'`
choice="n"
echo ""
#alternativ msearch Einbauen - ist aber eher overkill
info_name=`sqlite3 $datab... | msooon/infosystem | customize_info.sh | Shell | gpl-3.0 | 7,793 |
#!/bin/bash
vagrant provision
| Samuc/Eat-with-Rango | Vagrant-Azure/azure_script_only_provision.sh | Shell | gpl-3.0 | 31 |
#!/bin/sh
gzip -dc /Scaffold/Data/Path/Nipponia_nippon.scaf.fa.gz > PWD/outdata/NIPNI/Nipponia_nippon.scaf.fa && echo gzip NIPNI was OK
perl PWD/bin/denovo_repeat_find.pl -RepeatModeler PWD/outdata/NIPNI/Nipponia_nippon.scaf.fa && echo rptmd NIPNI was OK
ln -s PWD/outdata/NIPNI/result/consensi.fa.classified PWD/out... | gigascience/paper-zhang2014 | Repeat_annotation/outdata/NIPNI/sNIPNI.sh | Shell | gpl-3.0 | 1,537 |
## i2c_address.sh
# Title : Automatic I2C Address Changer for hakjongholic Consol-Pie
# Author : hakjongholic
# Creation Date: Jan 01, 20176
# Web : http://blog.naver.com/i032co2p
# Free and open for all to use. But put credit where credit is due.
#
# How to Setup :
# cd /home/pi/RetroPie-Clcd/
#... | hakjongholic/RetroPie-Clcd | I2C_Address.sh | Shell | gpl-3.0 | 1,003 |
#deletes the current bitcoind and bitcoin-cli binray files
#downloads XT 0.11b binaries and installs them
echo "removing older bitcoin and installing XT 0.11B ... starts in 10 sec"
sleep 10s
#get XT binary files from bitseed.org
rm bitcoin-xt-0.11a.zip
rm -rf bitcoin-xt-0.11a
rm XT11B-binaries.zip
wget https://www.bits... | bitseed-org/bitcoin-box | setup/xt11b-install.sh | Shell | gpl-3.0 | 809 |
#!/bin/bash
unset CC
./configure ${AUTOTOOLS_CONFIGURE}
| flotter/mesaprocessframework | configure.sh | Shell | gpl-3.0 | 57 |
#!/usr/bin/env sh
cd $(dirname $(readlink -f $0))
# optionally supply settings here
python staalpiplayer.py
| jens-a-e/staalpiplayer | player.sh | Shell | gpl-3.0 | 109 |
#!/bin/bash
set -e
cat > config/config_dev.json << EndOfConfig
{
"mailer": {
"smtp": {
"addr": "$SMTP_HOST",
"auth": {
"username": "$SMTP_USERNAME",
"password": "$SMTP_PASSWORD",
"identity": "$SMTP_IDENTITY"
}
}
},
"translate": {
"langs": "en, pl",
"defau... | goatcms/goatcms | docker/https-config.sh | Shell | gpl-3.0 | 929 |
#!/bin/sh
#################################################################################
# This JSS extension attribute concatenates together the contents
# of files stored in the $store directory.
#
# It is assumed that the files will contain a valid JSON object and
# nothing else. For example:
#
# {"date": "2016-1... | UoE-macOS/app-approval | jss/extattr-app-requests.sh | Shell | gpl-3.0 | 1,056 |
# Copyright (c) 2015 Anchor Systems Pty Ltd <support@anchor.com.au>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" ... | anchor/pcib | plugins/os/openbsd/tasks/00-check-os-openbsd-sources.sh | Shell | gpl-3.0 | 934 |
#!/bin/bash
#
##
###
##################################################################################
# #
# Copyright 2018; Antonio Henrique (Fela); <ahlr_2000@yahoo.com> #
# Todos os direitos reservados. ... | ahlrodrigues/slackonfig | source/scripts/cleanret.sh | Shell | gpl-3.0 | 4,242 |
#!/bin/sh
#
# Vivado(TM)
# runme.sh: a Vivado-generated Runs Script for UNIX
# Copyright 1986-2016 Xilinx, Inc. All Rights Reserved.
#
if [ -z "$PATH" ]; then
PATH=/opt/Xilinx/Vivado/2016.2/ids_lite/ISE/bin/lin64:/opt/Xilinx/Vivado/2016.2/bin
else
PATH=/opt/Xilinx/Vivado/2016.2/ids_lite/ISE/bin/lin64:/opt/Xilin... | GSejas/Dise-o-ASIC-FPGA-FPU | my_sourcefiles/Source_Files/Multipliers/Karatsubas/Karatsubas.runs/synth_5/runme.sh | Shell | gpl-3.0 | 1,014 |
:
if [ `uname -n` = "snook" ]
then
/usr/ucb/echo -n $*
else
echo -n $*
fi
| timhriley/appaserver | utility/echo_no_cr.sh | Shell | gpl-3.0 | 76 |
#!/usr/bin/env sh
set -eu
videosFiles=$(find server/tests/api/videos -type f | grep -v index.ts | xargs echo)
npm run mocha -- --timeout 30000 --exit --require ts-node/register --bail \
$videosFiles
| Green-Star/PeerTube | server/tests/api/ci-3.sh | Shell | agpl-3.0 | 206 |
#!/usr/bin/env bash
docker run -e "SPRING_PROFILES_ACTIVE=container" -p 8080:8080 -t kduda/greedy | DudaKamil/greedy | docker/start-greedy-docker-server.sh | Shell | agpl-3.0 | 98 |
#chroot ${CHROOT}
CHROOT_SCRIPT=${CHROOT}/script
cat > ${CHROOT_SCRIPT} <<-EOF
#!/bin/bash
id
hostname -f
export http_proxy=http://squid:3128
hostname -f
yum clean all
yum install git org_desy_grid_virt_sort_release \
rpmbuild \
python-setuptools \
rpm-build \
-y
GITLOCATION="git://github.com/hepix-virtualisat... | osynge/whenenv-rust | src/data/ad404baf/shell/vmcaster-scientific-6-prod-part-02.sh | Shell | lgpl-2.1 | 747 |
#!/bin/sh
LD_LIBRARY_PATH=. ./testreal3d $*
| theZiz/sparrow3d | testreal3d.sh | Shell | lgpl-2.1 | 44 |
#cp ../../../../../indexes/NOPOS/EXPERIMENTS/experiments.20g/1.4.scripts.rice.bitmap/E_Wa.1.4.rice.dat E_Wa.1.4.rice.dat
#cp ../../../../../indexes/NOPOS/EXPERIMENTS/experiments.20g/2.1.scripts.vbytebitmap/E_Wa.2.1.vbyte.dat E_Wa.2.1.vbyte.dat
#cp ../../../../../indexes/... | migumar2/uiHRDC | uiHRDC/benchmark/report/figures/f2/words1-1000/getFiles.sh | Shell | lgpl-2.1 | 2,596 |
#!/bin/bash
#
# StarPU
# Copyright (C) Université Bordeaux 1, CNRS 2008-2010 (see AUTHORS file)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (a... | alucas/StarPU | tools/sampling.sh | Shell | lgpl-2.1 | 1,499 |
#!/bin/sh
cd "`dirname $0`"
echo "*** Set version within Info.plist application file ***"
version=`grep '#define GPAC_VERSION ' ../../include/gpac/version.h | cut -d '"' -f 2`
rev=`LANG=en_US svn info | grep Revision | tr -d 'Revision: '`
if [ "$rev" != "" ]
then
# svn revert ../../applications/osmo4_ios/osmo4ios-Inf... | DmitrySigaev/gpac-sf | build/xcode/generate_ios.sh | Shell | lgpl-2.1 | 2,857 |
#!/bin/sh
# Copyright (C) 2010,2017 Swiss Library for the Blind, Visually Impaired and Print Disabled
#
# This file is part of dtbook2sbsform.
#
# dtbook2sbsform is free software: you can redistribute it
# and/or modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Fou... | sbsdev/dtbook2sbsform | utfx.sh | Shell | lgpl-3.0 | 1,868 |
#! /bin/bash
DIR=$(dirname $(readlink -f $0))
VERBOSE="-p"
while [[ $1 = -* ]]; do
case "$1" in
-v|--verbose)
VERBOSE="--verbose"
shift 1
;;
*)
echo "Error: Unknown option: $1" >&2
exit 1
;;
esac
done
pushd $DIR/.. >/dev/null
if [[ ! -d ./doc ]];
then
mkdir -p ./doc
fi
... | ju1ius/css-parser | bin/gendoc.sh | Shell | lgpl-3.0 | 456 |
#!/bin/bash
set -e
BIN="$(cd "$(dirname "$0")" ; pwd)"
source "${BIN}/verbose.sh"
SED_EXT=-r
case $(uname) in
Darwin*)
SED_EXT=-E
esac
export SED_EXT
if [ ".$1" = '.--help' ]
then
echo "Usage: $(basename "$0") [ <field-number> <pattern> ] ..." >&2
exit 0
fi
declare -a SED_ARGS
SED_ARGS=()
ACCOUNTS_FILE="${HOM... | jeroenvanmaanen/scripts | filter-transactions.sh | Shell | lgpl-3.0 | 1,341 |
#!/bin/sh
convert=`echo /usr/local/bin/convert`
theme=`cat ~/Documents/CIRCLE/CONFIG | grep 'BATT_THEME' | tail -n1 | awk '{print $2}'`
ring_col=White
meter_col_1=green
meter_col_2=yellow
meter_col_3=red
out=/tmp/batt-ring.png
used_ram=`top -l 1 | awk '/PhysMem/ {print $8}' | sed "s/M//"`
free_ram=`top -l 1 | awk '/... | jtligon/bearded-tyrion-circles | BATT/White/batt-meter.sh | Shell | unlicense | 1,743 |
#!/bin/bash
# Author: yeho <lj2007331 AT gmail.com>
# BLOG: https://blog.linuxeye.com
#
# Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+
#
# Project home page:
# https://oneinstack.com
# https://github.com/lj2007331/oneinstack
Install_ImageMagick() {
pushd ${oneinstack_dir}/src
tar x... | ivmm/mistack | include/ImageMagick.sh | Shell | apache-2.0 | 1,717 |
# ─────────────────────────────────────────────────────────────────────────────┐
# │
# Name: external-tools/openssl.zsh │
# Summary: Integration with tool `openssl`. ... | alem0lars/zsh-external-tools | external-tools/openssl.zsh | Shell | apache-2.0 | 4,285 |
#!/usr/bin/env bash
MYSELF=`readlink -f "$0"`
echo "MYSELF=$MYSELF"
CDIR=`dirname "$MYSELF"`
echo "CDIR=$CDIR"
# Use GTK 2
export SWT_GTK=0
# Bug fix for overlay scrollbars
export LIBOVERLAY_SCROLLBAR=0
# Remove /usr/lib/jni from LD_LIBRARY_PATH to avoid loading from Eclipse
export LD_LIBRARY_PATH=`echo "$LD_LIBRAR... | sarl/sarl | products/updatesite/rootfiles/linux/eclipse-sarl-archlinux.sh | Shell | apache-2.0 | 715 |
#!/bin/sh
# Copyright 2016 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law o... | yidawang/brainiak | run-tests.sh | Shell | apache-2.0 | 1,726 |
# Copyright 2015 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or a... | googlearchive/graphd | test/unit/random5.sh | Shell | apache-2.0 | 1,795 |
#!/bin/sh
set -e
set -x
pod update
# Force lib lint on last Swift version
echo "4.1" > .swift-version
# Run CocoaPod lint in order to check pod submission
bundle exec fastlane lint_pods
| matrix-org/matrix-ios-sdk | lint.sh | Shell | apache-2.0 | 190 |
#!/bin/bash
set -eu
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
# vimunit in the plugin root's parent dir (think of ~/.vim/bundle)
VU="$DIR/../../vimunit/vutest.sh"
if [ ! -f "$VU" ]; then
echo "Could not run tests. Vimunit executeable not found at: '$VU'"
else
cd ./fixtures
if [[ $# > 0 ]]; then... | lvht/phpcd.vim | tests/runtests.sh | Shell | apache-2.0 | 522 |
#! /usr/bin/env sh
echo "Running inside /app/prestart.sh, you could add migrations to this file, e.g.:"
echo "
#! /usr/bin/env bash
# Let the DB start
sleep 10;
# Run migrations
alembic upgrade head
"
| tiangolo/uwsgi-nginx-docker | docker-images/app/prestart.sh | Shell | apache-2.0 | 204 |
mvn clean package -DskipTests
mvn exec:java -Dexec.mainClass="scrapper.TextBrowser" -Dexec.args=$1
| debmalya/mapDB | textBrowser.sh | Shell | apache-2.0 | 99 |
#!/bin/bash
TEMP=`getopt -o u:l: --long url: --long location: -- "$@"`
if [ $? != 0 ] ; then echo "Exit" ; exit 1 ; fi
eval set -- "$TEMP"
SHOVEL_URL=${SHOVEL_URL-}
FILE_LOC=${FILE_LOC-}
while true ; do
case "$1" in
-u | --url) SHOVEL_URL=$2 ;shift 2 ;;
-l | --location) FILE_LOC=$2;shift 2 ;;
--) shi... | keedya/shovel-horizon-plugin | install.sh | Shell | apache-2.0 | 1,040 |
#!/usr/bin/env bash
################################################################################
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The A... | gyfora/flink | flink-end-to-end-tests/test-scripts/kafka-common.sh | Shell | apache-2.0 | 6,547 |
#!/bin/sh
# Copyright (C) 2012 Mikhail Malakhov <malakhv@live.ru>
#
# Confidential and Proprietary. All Rights Reserved.
# Unauthorized copying of this file, via any medium is strictly prohibited.
#---------------------------------------------------------------------------------------------------
# Script for configu... | malakhv/AlgDS | gitconfig.sh | Shell | apache-2.0 | 883 |
#!/bin/bash -e -x
DEBIAN_FRONTEND=noninteractive
export DEBIAN_FRONTEND
echo "*** Installing kubectl ***"
apt-get -y -qq install -o=Dpkg::Use-Pty=0 bridge-utils
curl -LO https://storage.googleapis.com/kubernetes-release/release/$(curl -s https://storage.googleapis.com/kubernetes-release/release/stable.txt)/bin/linux/... | aestasit/devops-masterclass-box | scripts/ubuntu/containers/kubernetes.sh | Shell | apache-2.0 | 1,034 |
#!/bin/bash
#
# This script is meant for quick & easy install via:
# curl -sSL https://repos.insights.digitalocean.com/install.sh | sudo bash
# or:
# wget -qO- https://repos.insights.digitalocean.com/install.sh | sudo bash
#
# To use the BETA branch of do-agent pass the BETA=1 flag to the script
# curl -sSL https... | digitalocean/do-agent | scripts/install.sh | Shell | apache-2.0 | 4,317 |
#!/bin/bash
sudo echo "Installing chef solo \n" >> /tmp/salsa.artifact.log
sudo useradd guest >> /tmp/salsa.artifact.log
sudo aptitude install -y emacs-nox >> /tmp/salsa.artifact.log
sudo aptitude update -y >> /tmp/salsa.artifact.log
sudo aptitude safe-upgrade -y >> /tmp/salsa.artifact.log
sudo aptitude install -y rub... | tuwiendsg/DaaSM2M | Configurations/M2MDaaS_IoT Analysis/scripts/solo-install.sh | Shell | apache-2.0 | 611 |
env GOOS=windows GOARCH=amd64 go build -v -o build-documentation.exe sourceToDest.go &
env GOOS=linux GOARCH=amd64 go build -v -o build-documentation sourceToDest.go | mutohq/Fabrica | documentation.sh | Shell | apache-2.0 | 166 |
mosquitto_sub -h m12.cloudmqtt.com -p 16293 -u rtetfheg -P qxkrNJcB1vpz -t "#" -v
| SINCConcept/P4SINC | instrumentation/test/mosquitto_error_server.sh | Shell | apache-2.0 | 82 |
#!/bin/bash
set -e # exit with nonzero exit code if anything fails
echo "Starting to update gh-pages"
#copy data we're interested in to other place
mkdir temp
cp -R doc temp/doc
#go to home and setup git
git config --global user.email "sungwook0115.kim@gmail.com"
git config --global user.name "RoySRose"
#using to... | jaehong-kim/pinpoint | .github/deployGitPage.sh | Shell | apache-2.0 | 844 |
#!/bin/bash
UUID=$(uuidgen)
curl -XPOST -H"Content-Type: application/json" http://localhost:12321/rawscheduler -d"{\"jobs\": [{\"uuid\": \"$UUID\", \"env\": {\"EXECUTOR_TEST_EXIT\": \"1\"}, \"executor\": \"cook\", \"mem\": 128, \"cpus\": 1, \"command\": \"echo progress: 50 test_progress && exit 0\", \"max_retries\": ... | twosigma/Cook | scheduler/bin/submit-docker.sh | Shell | apache-2.0 | 600 |
#!/bin/bash
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | google/google-ctf | 2019/beginners/reversing-family-computer/build_disk_image.sh | Shell | apache-2.0 | 1,752 |
#!/bin/bash
install_packages(){
export DEBIAN_FRONTEND=noninteractive
apt-get -y update 1>>/tmp/apt.log 2>>/tmp/apt.log
apt-get -y install ganglia-monitor 1>>/tmp/apt.log 2>>/tmp/apt.log
}
configure_gmond(){
# udp_send_channel remove mcat_join and add host
SLAVE_ONE=$(cat /etc/hosts | grep "slave1$" | awk '{print $1... | project-asap/IReS-Platform | panic/panic-deployer/examples/hbase/slave/ganglia.sh | Shell | apache-2.0 | 792 |
#!/bin/bash
# Copyright 2016 - 2022 Crunchy Data Solutions, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable... | CrunchyData/crunchy-containers | examples/kube/backrest/async-archiving/run.sh | Shell | apache-2.0 | 1,055 |
#!/bin/bash
set -eu -o pipefail
# Set debug mode
DEBUG=${DEBUG:-false}
[ "$DEBUG" == "true" ] && set -x
OUTPUT=$(mktemp -t openvidu-autodiscover-XXX --suffix .json)
docker run --rm amazon/aws-cli:${AWS_CLI_DOCKER_TAG} ec2 describe-instances \
--output text \
--filters "Name=instance-state-name,Values=running" \... | OpenVidu/openvidu | openvidu-server/deployments/enterprise/master-node/cluster/aws/openvidu_autodiscover.sh | Shell | apache-2.0 | 717 |
# Print an error message to stderr and exit with an error code:
die() {
printf >&2 "$@\n"
exit 1
}
load_config() {
# Load the defaults file:
ENGINE_DEFAULTS="${ENGINE_DEFAULTS:-/usr/share/ovirt-engine/conf/engine.conf.defaults}"
if [ ! -r "${ENGINE_DEFAULTS}" ]
then
die "Can't load defa... | jbeecham/ovirt-engine | backend/manager/tools/engine-tools-common/src/main/shell/engine-prolog.sh | Shell | apache-2.0 | 734 |
#!/bin/bash -l
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License")... | wido/cloudstack | tools/appliance/build.sh | Shell | apache-2.0 | 10,304 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.